[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LazHelpIntf' (#lcl)

# URLFilenameIsAbsolute

Indicates if the specified URL contains an absolute file path.

## Declaration

Source position: lazhelpintf.pas line 591

`function URLFilenameIsAbsolute(`
`const URLPath: string`
`):Boolean;`

## Arguments

`URLPath` |  | URL examined in the function.

## Function result

True when the URL does not have relative file path information.

## Description

URLFilenameIsAbsolute is a Boolean function used to determine if the URL specified in URLPath represents an absolute file. URLFilenameIsAbsolute calls URLPathToFilename to get the file name used in the URL. The return value is determined by calling FilenameIsAbsolute for the file name. The return value is True when the path to the file does not require resolution of "." or ".." relative path markers.

## See also

URLPathToFilename
FilenameIsAbsolute